Page MenuHomePhabricator

[libcxx] [test] Fix spurious failures in the thread join test on Windows
ClosedPublic

Authored by mstorsjo on Jul 9 2021, 2:07 PM.

Details

Summary

Make sure that the detached thread has started up before exiting
the process.

This is exactly the same fix as D105592, with the same pattern
being present in a different test case.

Diff Detail

Event Timeline

mstorsjo created this revision.Jul 9 2021, 2:07 PM
mstorsjo requested review of this revision.Jul 9 2021, 2:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 9 2021, 2:07 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
mstorsjo updated this revision to Diff 357744.Jul 10 2021, 12:09 PM

Add a missing <atomic> to appease the modules build.

Mordante accepted this revision as: Mordante.Jul 11 2021, 6:32 AM
Mordante added a subscriber: Mordante.

Thanks for fixing this issue!

ldionne accepted this revision.Jul 12 2021, 7:45 AM
This revision is now accepted and ready to land.Jul 12 2021, 7:45 AM
This revision was landed with ongoing or failed builds.Jul 12 2021, 1:32 PM
This revision was automatically updated to reflect the committed changes.